aboutsummaryrefslogtreecommitdiffstats
path: root/package/base-files/files
diff options
context:
space:
mode:
authorMike Baker <mbm@openwrt.org>2007-05-10 19:41:07 +0000
committerMike Baker <mbm@openwrt.org>2007-05-10 19:41:07 +0000
commit1f6d41f082e755f66d202ed676d7129dd15e860c (patch)
treeff1b57002c63dd4cd4858141085d9a832ed3ded7 /package/base-files/files
parentd4fe5fd23309b5119af221fd3af1e1f88b3352d1 (diff)
downloadmaster-187ad058-1f6d41f082e755f66d202ed676d7129dd15e860c.tar.gz
master-187ad058-1f6d41f082e755f66d202ed676d7129dd15e860c.tar.bz2
master-187ad058-1f6d41f082e755f66d202ed676d7129dd15e860c.zip
tweaks for 2M devices
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@7179 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/base-files/files')
-rwxr-xr-xpackage/base-files/files/bin/firstboot3
-rwxr-xr-xpackage/base-files/files/sbin/mount_root2
2 files changed, 3 insertions, 2 deletions
diff --git a/package/base-files/files/bin/firstboot b/package/base-files/files/bin/firstboot
index 267e6732d9..5c11623b48 100755
--- a/package/base-files/files/bin/firstboot
+++ b/package/base-files/files/bin/firstboot
@@ -79,11 +79,12 @@ ramoverlay() {
}
[ "$1" = "switch2jffs" ] && {
+ mount "$mtdpart" /rom/jffs -t jffs2 || exit
+
# try to avoid fs changing while copying
mount -o remount,ro none / 2>&-
# copy ramoverlay to jffs2
- mount "$mtdpart" /rom/jffs -t jffs2
echo -n "copying files ... "
cp -a /tmp/root/* /rom/jffs 2>&-
echo "done"
diff --git a/package/base-files/files/sbin/mount_root b/package/base-files/files/sbin/mount_root
index 1aa7db7255..2006f0128e 100755
--- a/package/base-files/files/sbin/mount_root
+++ b/package/base-files/files/sbin/mount_root
@@ -47,7 +47,7 @@ jffs2_ready () {
. /bin/firstboot
jffs2_ready && {
echo "switching to jffs2"
- mount "$(find_mtd_part rootfs_data)" /jffs -t jffs2
+ mount "$(find_mtd_part rootfs_data)" /jffs -t jffs2 && \
fopivot /jffs /rom
} || {
echo "jffs2 not ready yet; using ramdisk"